Index: slime.el
===================================================================
RCS file: /project/slime/cvsroot/slime/slime.el,v
retrieving revision 1.593
diff -u -r1.593 slime.el
--- slime.el	4 Mar 2006 20:13:51 -0000	1.593
+++ slime.el	7 Mar 2006 15:58:20 -0000
@@ -1282,10 +1282,10 @@
       filename))
 
 (defun* slime-create-filename-translator (&key machine-instance
-                                         remote-host
-                                         username)
+                                               remote-host
+                                               username)
   "Creates a three element list suitable for push'ing onto
-slime-filename-translations which uses tramp to load files on
+slime-filename-translations which uses Tramp to load files on
 hostname using username. MACHINE-INSTANCE is a required
 parameter, REMOTE-HOST defaults to MACHINE-INSTANCE and USERNAME
 defaults to (user-login-name).
@@ -1294,15 +1294,21 @@
 which is just the value returned by cl:machine-instance on the
 remote lisp. REMOTE-HOST is the fully qualified domain name (or
 just the IP) of the remote machine. USERNAME is the username we
-sholud login with."
-  (setf remote-host (or remote-host machine-instance)
-        username (or username (user-login-name)))
-  (lexical-let ((tramp-prefix (concat "/ssh:" username "@" remote-host ":")))
+should login with.
+The functions created here expect your tramp-default-method or
+ tramp-default-method-alist to be setup correctly."
+  (require 'tramp)
+  (lexical-let ((remote-host (or remote-host machine-instance))
+                (username (or username (user-login-name))))
     (list (concat "^" machine-instance "$")
-          `(lambda (emacs-filename)
-             (subseq emacs-filename (length ,tramp-prefix)))
+          (lambda (emacs-filename)
+            (tramp-file-name-localname
+             (tramp-dissect-file-name emacs-filename)))
           `(lambda (lisp-filename)
-             (concat ,tramp-prefix lisp-filename)))))
+            (tramp-make-tramp-file-name nil
+             ,username
+             ,remote-host
+             lisp-filename)))))
 
 (defun* slime-add-filename-translation (&key machine-instance
                                              remote-host
